{% extends "base.html" %}
{% block main %}

<div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="{{ url_for('static', filename='img/bg/bg5.jpg')}}" class="d-block w-100" alt="...">
      <div class="carousel-caption d-none d-md-block">
        <p>Trier vos pokémons !!!</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="{{ url_for('static', filename='img/bg/bg8.jpg')}}" class="d-block w-100" alt="...">
      <div class="carousel-caption d-none d-md-block">
        <p>Ajouter vos pokémons à votre Team</p>
      </div>
    </div>
    <div class="carousel-item">
      <img src="{{ url_for('static', filename='img/bg/bg9.jpg')}}" class="d-block w-100" alt="...">
      <div class="carousel-caption d-none d-md-block">
        <p>Supprimer vos pokémons !!!</p>
      </div>
    </div>
  </div>
  <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </button>
</div>

<div id="cards">  
{% for x in books %}
    <figure class="card card--{{x.type1}}">
        <div class="card__image-container">
          <!-- <img src="{{ url_for('static', filename='images/'+x.name+'.jpg')}}" alt="Eevee" class="card__image"> -->  
          <img src="{{ 'https://pokestrat.io/images/gif-animes/'+x.pokedex_number|string+'.gif'}}" alt="Eevee" class="card__image">   
        </div>
        <figcaption class="card__caption">
          <h1 class="card__name">{{x.name}}</h1>
      
          <h3 class="card__type">
            {{x.type1}} {{x.type2}}
          </h3>

      
          <table class="card__stats">
            <tbody><tr>
              <th>HP</th>
              <td>{{x.hp}}</td>
            </tr>
            <tr>
              <th>Poid Kg</th>
              <td>{{x.weight_kg}}</td>
            </tr>
            
            <tr>
              <th>Taille en (m)</th>
              <td>{{x.height_m}}</td>
            </tr>
            <tr>
              <th>Speed</th>  
              <td>{{x.speed}}</td>
            </tr>
          </tbody></table>
          <form class="form-inline mr-auto" target="_self" method="POST" action="{{ url_for('supr' , id=x.pokedex_number) }}">
            <input id="IDpoke" name="IDpoke" type="hidden"  value={{x.pokedex_number}}>
            <input  type="submit" value="Supprimer le pokemon">
          </form>
          <form class="form-inline mr-auto" target="_self" method="POST" action="{{ url_for('edition' , id=x.pokedex_number) }}">
            <input  type="submit" value="Modifier le pokemon">
          </form>

          <div class="card__abilities">
            <h4 class="card__ability">
              <span class="card__label">Legendaire </span>
              {{x.is_legendary}}
            </h4>
            <h4 class="card__ability">
              <span class="card__label">Classification</span>
              {{x.classfication}}
            </h4>
          </div>
        </figcaption>
      </figure>
{% endfor %}
</div>
</div>
{% endblock %}
